<?xml version="1.0" encoding="UTF-8"?>

<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIcon?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.RadioButton?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.control.ToggleGroup?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" nodeOrientation="LEFT_TO_RIGHT" prefHeight="492.0" prefWidth="910.0" style="-fx-background-color: #fff;" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="views.admin.gestiondesevenements.MainController">
   <children>
      <Pane layoutY="25.0" prefHeight="56.0" prefWidth="919.0" style="-fx-background-color: #2D75E8;" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0">
         <children>
            <Label layoutX="330.0" layoutY="11.0" text="Gestion des événements" textFill="WHITE">
               <font>
                  <Font size="24.0" />
               </font>
            </Label>
         </children></Pane>
      <GridPane layoutX="14.0" layoutY="116.0" prefHeight="381.0" prefWidth="909.0" AnchorPane.bottomAnchor="5.0" AnchorPane.leftAnchor="5.0" AnchorPane.rightAnchor="5.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
          <RowConstraints maxHeight="181.0" minHeight="10.0" prefHeight="39.0" vgrow="SOMETIMES" />
            <RowConstraints maxHeight="346.0" minHeight="6.0" prefHeight="10.0" vgrow="SOMETIMES" />
          <RowConstraints maxHeight="346.0" minHeight="10.0" prefHeight="331.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <HBox prefHeight="100.0" prefWidth="200.0" GridPane.rowIndex="2">
               <children>
                  <TableView fx:id="tableEvenements" onMousePressed="#tableEvenementsOnMouseClicked" prefHeight="321.0" prefWidth="807.0" stylesheets="@fullpackstyling.css">
                    <columns>
                      <TableColumn fx:id="colNom" editable="false" prefWidth="138.0" text="nom de l'événement" />
                        <TableColumn fx:id="colPole" editable="false" prefWidth="138.0" text="pole organisateur" />
                        <TableColumn fx:id="colEspace" editable="false" prefWidth="112.0" text="Espace" />
                        <TableColumn fx:id="colDate" editable="false" prefWidth="112.0" text="Date" />
                        <TableColumn fx:id="colTemps" editable="false" prefWidth="112.0" text="Temps" />
                        <TableColumn fx:id="colType" editable="false" prefWidth="90.0" text="Type" />
                        <TableColumn fx:id="colConfirme" editable="false" prefWidth="90.0" text="Confirmé" />
                    </columns>
                     <HBox.margin>
                        <Insets left="10.0" />
                     </HBox.margin>
                  </TableView>
                  <AnchorPane prefHeight="321.0" prefWidth="98.0">
                     <children>
                        <Button fx:id="btAjouter" layoutX="10.0" layoutY="282.0" mnemonicParsing="false" onAction="#btAjouterOnClick" prefHeight="25.0" prefWidth="73.0" style="-fx-background-color: #2D75E8;" text="Ajouter" textFill="WHITE" />
                        <Button fx:id="btSupprimer" layoutX="10.0" layoutY="136.0" mnemonicParsing="false" onAction="#btSupprimerOnClick" prefHeight="25.0" prefWidth="73.0" style="-fx-background-color: #2D75E8;" text="Supprimer" textFill="WHITE" />
                        <Button fx:id="btModifier" layoutX="10.0" layoutY="105.0" mnemonicParsing="false" onAction="#btModifierOnClick" prefHeight="25.0" prefWidth="73.0" style="-fx-background-color: #2D75E8;" text="Modifier" textFill="WHITE" />
                        <Button fx:id="btConfirmer" layoutX="10.0" layoutY="73.0" mnemonicParsing="false" onAction="#btConfirmerOnClick" prefHeight="25.0" prefWidth="73.0" style="-fx-background-color: #2D75E8;" text="Confirmer" textFill="WHITE" />
                     </children>
                  </AnchorPane>
               </children>
               <GridPane.margin>
                  <Insets bottom="10.0" />
               </GridPane.margin>
            </HBox>
            <HBox alignment="CENTER" prefHeight="63.0" prefWidth="909.0">
               <children>
                  <Pane prefHeight="40.0" prefWidth="3.0" />
                  <RadioButton fx:id="rbTous" mnemonicParsing="false" onAction="#rbTousOnSelect" selected="true" text="Tous">
                     <toggleGroup>
                        <ToggleGroup fx:id="consulterTypeGroup" />
                     </toggleGroup>
                  </RadioButton>
                  <Pane prefHeight="40.0" prefWidth="7.0" />
                  <RadioButton fx:id="rbConfirmes" mnemonicParsing="false" onAction="#rbConfirmesOnSelect" text="Confirmés" toggleGroup="$consulterTypeGroup" />
                  <Pane prefHeight="40.0" prefWidth="5.0" />
                  <RadioButton fx:id="rbNonConfirmes" mnemonicParsing="false" onAction="#rbNonConfirmesOnSelect" text="Non confirmés" toggleGroup="$consulterTypeGroup" />
                  <Pane prefHeight="40.0" prefWidth="32.0" />
                  <Pane prefHeight="40.0" prefWidth="15.0">
                     <children>
                        <FontAwesomeIcon iconName="SEARCH" layoutX="1.0" layoutY="24.0" />
                     </children></Pane>
                  <TextField fx:id="tfRechecher" onKeyReleased="#tfRechecherOnKeyReleased" prefHeight="25.0" prefWidth="490.0" promptText="Rechercher" />
                  <Pane prefHeight="40.0" prefWidth="87.0" />
               </children>
            </HBox>
         </children>
      </GridPane>
   </children>
</AnchorPane>
